Skip to content

Recommendations

GET /api/v1/listings/<id>/recommendations/

  • Scope: listings:read
  • Description: List recommendations for a listing

Try it out

Explore schemas and make live requests in the Swagger UI.

List Recommendations

Returns recommendations for a listing owned by the authenticated application.

Recommendations are generated periodically using the newest data available for the listing and its market. They are designed to suggest pricing updates as market conditions change over time.

The current recommendations endpoint is primarily focused on base price changes. When a recommendation is available, the response includes the suggested base price and the recommendation status for that listing.

By default, Beyond accepts base price changes automatically. Partners can use this endpoint to review the latest recommendation state and understand whether a base price recommendation is pending, approved, rejected, expired, or already applied automatically.

Notable Fields

  • status: Current recommendation lifecycle status, such as suggestion_completed, approved, or rejected
  • category: Recommendation category. For partners, the most relevant category is base_price.
  • suggested-base-price: Suggested base price derived from the latest listing and market data.
  • status: Indicates whether the recommendation is pending review, accepted, rejected, expired, or otherwise no longer actionable.
  • created-at: Timestamp for when the recommendation record was created.